# 전자서명 사용량 조회 API

전자서명 사용량을 조회할 수 있는 API를 제공합니다.

<br>

## `GET` kit-api/v1/signatures/usage

Method: GET\
Endpoint: kit-api/v1/signatures/usage

<br>

## Example

```
...kit-api/v1/signatures/usage?createdAtAfter=2024-11-19T06:00:00.000Z
```

<br>

## Request Query

| Key             | Description                           | Required |
| --------------- | ------------------------------------- | -------- |
| createdAtAfter  | 특정시간 이후의 사용량 목록 조회용 파라미터 (ISO UTC 포맷) | no       |
| createdAtBefore | 특정시간 이전의 사용량 목록 조회용 파라미터 (ISO UTC 포맷) | no       |

<br>

## Response

```json
{
  "ok": true,
  "data": {
    "total": 15, // 전체 개수
    "created": 4, // status: CREATED 경우 - 생성되었는데 요청되기 전 상태 (특수 상황)
    "done": 6, // status: DONE 경우 - 체결된 상태
    "waiting": 3, // status: WAITING 경우 - 서명 요청 후 체결 전 상태
    "canceled": 2 // status: CANCELED 경우 - 서명이 취소된 상태
  }
}
```

```json
{
  "ok": false, // api 실패
  "message": "error message", // Error가 존재하면 message(string)로 전달
  "errorCode": "ERROR_CODE"
}
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/signature/signature-usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
